export const monthLabel = [
  {
    label: "未来一个月",
  },
  {
    label: "未来2个月",
  },
  {
    label: "未来3个月",
  },
];
/* 即将到期表格列 */
export const expringTableColums = [
  {
    label: "客户名称",
    align: "center",
    key: "CompanyName",
    widthsty: "300px",
    textsty: "color:#409EFF;cursor:pointer;",
    link: true,
  },
  {
    label: "客户类型",
    align: "center",
    key: "ProductName",
    widthsty: "100px",
  },
  {
    label: "所属销售",
    align: "center",
    key: "SellerName",
  },
  // {
  // 	label:"合同编号",
  // 	align:"center",
  // 	key:"ContractCode"
  // },
  // {
  // 	label:"合同金额",
  // 	align:"center",
  // 	key:"Money"
  // },
  {
    label: "服务期限",
    align: "center",
    key: "",
  },
  {
    label: "剩余天数",
    align: "center",
    key: "ExpireDay",
    widthsty: "100px",
    sort: true,
  },
];
/* 增量客户表格列 */
export const incrementTableColums = [
  {
    label: "客户名称",
    key: "CompanyName",
    widthsty: "300px",
    textsty: "color:#409EFF;cursor:pointer;",
    link: true,
  },
  {
    label: "不续约归因",
    key: "AscribeContent",
    dataType: "未续约客户",
    notRenewedConfirm: 1,
    sort: true,
  },
  {
    label: "客户状态",
    key: "Status",
    dataType: "未续约客户",
    sort: true,
  },
  {
    label: "所属销售",
    key: "SellerName",
    widthsty: "150px",
  },
  {
    label: "新增时间",
    key: "CreateTime",
    dataType: "新增试用客户",
    sort: true,
  },
  {
    label: "合同金额",
    key: "Money",
    dataType: "新签客户",
    sort: true,
  },
  {
    label: "签约时间",
    key: "StartDate",
    dataType: "新签客户",
    sort: true,
  },
  {
    label: "合同金额",
    key: "Money",
    dataType: "续约客户",
    sort: true,
  },
  {
    label: "续约时间",
    key: "StartDate",
    dataType: "续约客户",
    sort: true,
  },
  {
    label: "最近合同到期时间",
    key: "EndDate",
    dataType: "未续约客户",
    sort: true,
  },
  {
    label: "备注",
    key: "Remark",
    dataType: "未续约客户",
    widthsty: "100px",
    sort: true,
  },
  {
    label: "未续约说明",
    key: "RenewalReason",
    dataType: "未续约客户",
    widthsty: "300px",
    sort: true,
  },
];
export const stockTableColums = [
  {
    label: "客户名称",
    key: "CompanyName",
    widthsty: "300px",
    textsty: "color:#409EFF;cursor:pointer;",
    link: true,
  },
  {
    label: "客户类型",
    key: "ProductName",
    widthsty: "100px",
  },
  {
    label: "不续约归因",
    key: "AscribeContent",
    dataType: "未续约客户",
    notRenewedConfirm: 1,
    sort: true,
  },
  {
    label: "客户状态",
    key: "Status",
    dataType: "未续约客户",
  },
  {
    label: "所属销售",
    key: "SellerName",
    widthsty: "150px",
  },
  {
    label: "服务期限",
    dataType: "新签客户,续约客户",
  },
  {
    label: "剩余天数",
    key: "ExpireDay",
    widthsty: "150px",
    dataType: "新签客户,续约客户",
  },
  {
    label: "最近合同到期时间",
    key: "EndDate",
    dataType: "未续约客户",
  },
  {
    label: "备注",
    key: "Remark",
    dataType: "未续约客户",
    widthsty: "100px",
    sort: true,
  },
  {
    label: "未续约说明",
    key: "RenewalReason",
    dataType: "未续约客户",
    widthsty: "300px",
  },
  {
    label: "超出到期时间(天)",
    key: "ExpireDay",
    widthsty: "150px",
    dataType: "未续约客户",
  },
];

/* 存量客户表格列 */
export const RaiStockTableColums = [
  {
    label: "客户名称",
    key: "CompanyName",
    widthsty: "300px",
    textsty: "color:#409EFF;cursor:pointer;",
    link: true,
  },
  {
    label: "不续约归因",
    key: "AscribeContent",
    dataType: "未续约客户",
    notRenewedConfirm: 1,
    sort: true,
  },
  {
    label: "客户状态",
    key: "Status",
    dataType: "未续约客户",
  },
  {
    label: "所属销售",
    key: "SellerName",
    widthsty: "150px",
  },
  {
    label: "服务销售",
    key: "ShareSeller",
    dataType: "新签客户,续约客户",
  },
  {
    label: "合同期限",
    dataType: "新签客户,续约客户",
    key: "StartDate",
  },
  {
    label: "合同金额",
    dataType: "新签客户,续约客户",
    key: "Money",
  },
  {
    label: "签约套餐",
    dataType: "新签客户,续约客户",
    key: "PermissionName",
  },
  {
    label: "最近合同到期时间",
    key: "EndDate",
    dataType: "未续约客户",
  },
  {
    label: "备注",
    key: "Remark",
    dataType: "未续约客户",
    widthsty: "100px",
    sort: true,
  },
  {
    label: "未续约说明",
    key: "RenewalReason",
    dataType: "未续约客户",
    widthsty: "300px",
  },
  {
    label: "超出到期时间(天)",
    key: "ExpireDay",
    widthsty: "150px",
    dataType: "未续约客户",
  },
];

/* 合同列表表格列 */
export const contractTableColums = [
  {
    label: "客户名称",
    key: "CompanyName",
    widthsty: "300px",
    textsty: "color:#409EFF;cursor:pointer;",
    link: true,
  },
  {
    label: "客户类型",
    key: "ProductName",
    widthsty: "100px",
  },
  {
    label: "所属销售",
    key: "SellerName",
    widthsty: "150px",
  },
  {
    label: "有效合同数",
    key: "Count",
    widthsty: "150px",
    dataType: "有效合同总数,有效合同总金额,正式客户数",
  },
  {
    label: "有效合同总金额",
    key: "SumMoney",
    widthsty: "150px",
    dataType: "有效合同总数,有效合同总金额,正式客户数",
  },
  {
    label: "生成方式",
    key: "Source",
    widthsty: "150px",
    dataType: "系统合同/上传附件",
  },
  {
    label: "提交时间",
    key: "CreateTime",
    widthsty: "180px",
    dataType: "系统合同/上传附件",
  },
  {
    label: "操作",
    textsty: "color:#409EFF;cursor:pointer;",
    action: {
      name: "合同详情",
    },
  },
];
/* 收入列表表格列 */
export const incomeTableColums = [
  {
    label: "合同编号",
    key: "ContractCode",
  },
  {
    label: "客户名称",
    key: "CompanyName",
    widthsty: "200px",
    textsty: "color:#409EFF;cursor:pointer;",
    link: true,
  },
  {
    label: "客户类型",
    key: "ProductName",
  },
  {
    label: "所属销售",
    key: "SellerName",
  },
  {
    label: "合同金额",
    key: "Money",
  },
  {
    label: "付款方式",
    key: "PayMethod",
  },
  {
    label: "付款渠道",
    key: "PayChannel",
  },
  {
    label: "服务期限",
    widthsty: "200px",
  },
  {
    label: "操作",
    textsty: "color:#409EFF;cursor:pointer;",
    action: {
      name: "合同详情",
    },
  },
];

/* 权益客户统计表格列 */
export const equityTableColums = (type) => {
  return type === "新签客户" || type === "续约客户"
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: "300px",
          textsty: "color:#409EFF;cursor:pointer;",
          link: true,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: "150px",
        },
        {
          label: "服务销售",
          key: "ShareSeller",
          widthsty: "150px",
        },
        {
          label: "合同期限",
          align: "center",
          key: "StartDate",
        },
        {
          label: "合同金额",
          key: "Money",
          dataType: "新签客户",
        },
        {
          label: type === "新签客户" ? "签约套餐" : "续约套餐",
          align: "center",
          key: "PermissionName",
        },
      ]
    : type === "未续约客户"
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: "300px",
          textsty: "color:#409EFF;cursor:pointer;",
          link: true,
        },
        {
          label: "客户状态",
          key: "Status",
          sort: true,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: "150px",
        },
        {
          label: "服务销售",
          key: "ShareSeller",
          widthsty: "150px",
        },
        {
          label: "合同期限",
          key: "StartDate",
          dataType: "未续约客户",
          sort: true,
        },
        {
          label: "签约套餐",
          align: "center",
          key: "PermissionName",
        },
        {
          label: "合同金额",
          key: "Money",
          dataType: "新签客户",
        },
        {
          label: "不续约归因",
          key: "AscribeContent",
          notRenewedConfirm: 1,
          sort: true,
        },
      ]
    : type === "新增试用客户"
    ? [
        {
          label: "客户名称",
          key: "CompanyName",
          widthsty: "300px",
          textsty: "color:#409EFF;cursor:pointer;",
          link: true,
        },
        {
          label: "所属销售",
          key: "SellerName",
          widthsty: "150px",
        },
        {
          label: "新增类型",
          key: "Operation",
          widthsty: "150px",
        },
        {
          label: "新增时间",
          key: "CreateTime",
        },
      ]
    : [];
};

export const tableConfigs = {
  AddTrialCount: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "新增类型", prop: "AddType" },
    { label: "新增时间", prop: "CreateTime" },
  ],
  // 新签合同
  NewContractData: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同期限", prop: "StartDate" },
    { label: "合同金额", prop: "Money" },
    { label: "签约套餐", prop: "PermissionName" },
    { label: "操作", prop: "actions" },
  ],
  // 到期合同
  ExpiredContractData: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同期限", prop: "StartDate" },
    { label: "合同金额", prop: "Money" },
    { label: "签约套餐", prop: "PermissionName" },
    { label: "操作", prop: "actions" },
  ],
  // 续约合同
  RenewedContractData: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同期限", prop: "StartDate" },
    { label: "合同金额", prop: "Money" },
    { label: "签约套餐", prop: "PermissionName" },
    { label: "操作", prop: "actions" },
  ],
  // 续约率
  RenewalRateData: [
    { label: "", prop: "TbaleNameAText" },
    { label: "续约金额(续约客户数)", prop: "RenewedContractMoney" },
    { label: "到期金额（到期客户数）", prop: "ExpiredContractMoney" },
    { label: "续约/到期", prop: "RenewalRate" },
  ],
  //确认不续约合同
  ConfirmedNoRenewalContractData: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同期限", prop: "StartDate" },
    { label: "合同金额", prop: "Money" },
    { label: "签约套餐", prop: "PermissionName" },
    { label: "操作", prop: "actions" },
  ],
  //确认不续约率
  ConfirmNonRenewalRateData: [
    { label: "", prop: "TbaleNameAText" },
    { label: "不续约金额（不续约客户数）", prop: "RenewedContractMoney" },
    { label: "到期金额（到期客户数）", prop: "ExpiredContractMoney" },
    { label: "不续约/到期", prop: "RenewalRate" },
  ],
  // 签约客户数量
  SignedClientCount: [
    { label: "新签客户数量", prop: "NewContractCompany" },
    { label: "新签合同数量", prop: "NewContract" },
    { label: "续约客户数量", prop: "RenewedContractCompany" },
    { label: "续约合同数量", prop: "RenewedContract" },
  ],
  // 客单价
  AverageRevenueCount: [
    { label: "签约总金额", prop: "ContractMoney" },
    { label: "签约客户数", prop: "ContractNum" },
  ],
  // 开票金额
  InvoiceAmountCount: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同编号", prop: "ContractCode" },
    { label: "开票金额", prop: "InvoicedAmount" },
    { label: "开票日期", prop: "CreateTime" },
  ],
  // 新客开票
  NewCustomerInvoicingCount: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同编号", prop: "ContractCode" },
    { label: "开票金额", prop: "InvoicedAmount" },
    { label: "开票日期", prop: "CreateTime" },
  ],
  // 到款金额
  PaymentReceivedCount: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同编号", prop: "ContractCode" },
    { label: "到款金额", prop: "PaymentAmount" },
    { label: "到款日期", prop: "CreateTime" },
  ],
  // 新客到款
  NewCustomerPaymentsReceivedCount: [
    { label: "客户名称", prop: "CompanyName" },
    { label: "所属销售", prop: "SellerName" },
    { label: "合同编号", prop: "ContractCode" },
    { label: "到款金额", prop: "PaymentAmount" },
    { label: "到款日期", prop: "CreateTime" },
  ],
  // 未到款比例
  UnpaidRatioCount: [
    { label: "开票金额", prop: "InvoicedAmount" },
    { label: "到款金额", prop: "PaymentAmount" },
    { label: "未到款金额", prop: "NotReceivedtAmount" },
  ],
};
export const tableDlgTitle = {
  AddTrialCount: "新增试用", //新增试用
  NewContractData: "新签合同", //新签合同（金额/数量)
  ExpiredContractData: "到期合同", //到期合同（金额/数量)
  RenewedContractData: "续约合同", //续约合同（金额/数量)
  RenewalRateData: "续约率", //续约率（金额/数量)
  ConfirmedNoRenewalContractData: "确认不续约合同", //确认不续约合同（金额/数量)
  SignedClientCount: "签约客户数量", //签约客户数量
  AverageRevenueCount: "客单价", //客单价
  InvoiceAmountCount: "开票金额", //开票金额
  PaymentReceivedCount: "到款金额", //到款金额
  UnpaidRatioCount: "未到款比例", //未到款比例
  NewCustomerInvoicingCount: "新客开票", //新客开票
  NewCustomerPaymentsReceivedCount: "新客到款", //新客到款
  ConfirmNonRenewalRateData: "确认不续约率",
};
